# -*- encoding: utf-8 -*-
# stub: simple_json_schema 0.1.7 ruby lib

Gem::Specification.new do |s|
  s.name = "simple_json_schema".freeze
  s.version = "0.1.7"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://gitlab.com/vliper/simple_json_schema", "source_code_uri" => "https://gitlab.com/vliper/simple_json_schema" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Georgeo Rocco".freeze]
  s.bindir = "exe".freeze
  s.date = "2021-02-06"
  s.description = "Simple JSON Schema validator. Supports draft 7 partial,\n                          based on https://github.com/davishmcclurg/json_schemer".freeze
  s.email = ["ggrocco@vliper.com".freeze]
  s.executables = ["simple_json_schema".freeze]
  s.files = ["exe/simple_json_schema".freeze]
  s.homepage = "https://gitlab.com/vliper/simple_json_schema".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "This implementation of the JSON Schema validation is based on the https://github.com/davishmcclurg/json_schemer) (whit is the recommended to be used), but only implement the Draft7".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 6.0"])
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.7"])
    s.add_runtime_dependency(%q<ecma-re-validator>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<regexp_parser>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<rubocop-performance>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.20"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["~> 6.0"])
    s.add_dependency(%q<addressable>.freeze, ["~> 2.7"])
    s.add_dependency(%q<ecma-re-validator>.freeze, ["~> 0.3"])
    s.add_dependency(%q<regexp_parser>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pry-byebug>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.10"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rubocop-performance>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 2.1"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.20"])
  end
end
